/**
 *
 * @param {Point2D} pointA
 * @param {Point2D} pointB
 * @param {Number} a
 * @returns
 */
export function interpolate2D(pointA: Point2D, pointB: Point2D, a: number): Point2D;
/**
 *
 * @param {Number} num
 * @param {Number} min
 * @param {Number} max
 * @returns
 */
export function clampNumber(num: number, min: number, max: number): number;
/**
 *
 * @param {Point2D} point
 * @param {Point2D} min
 * @param {Point2D} max
 * @returns
 */
export function clamp2D(point: Point2D, min: Point2D, max: Point2D): Point2D;
/**
 *
 * @param {Number} x
 * @param {Number} y
 * @param {Number} a
 * @returns
 */
export function interpolate(x: number, y: number, a: number): number;
/**
 * Returns a random integer between min (inclusive) and max (inclusive).
 * The value is no lower than min (or the next integer greater than min
 * if min isn't an integer) and no greater than max (or the next integer
 * lower than max if max isn't an integer).
 * @param {Number} min
 * @param {Number} max
 * @returns
 */
export function getRandomInt(min: number, max: number): number;
/**
 *
 * @param {Array} array
 * @returns
 */
export function selectRandom(array: any[]): any;
/**
 *
 * @param {Number} val
 * @param {Number} by
 * @returns
 */
export function integerDivision(val: number, by: number): number;
export class Point2D {
    /**
     * Point2D object
     * @param {Number} x
     * @param {Number} y
     */
    constructor(x?: number, y?: number);
    _x: number;
    _y: number;
    getX(): number;
    setX(x: any): void;
    getY(): number;
    setY(y: any): void;
}
