import * as PIXI from "../../pixi/pixi.mjs";

export function createWorldChunk() {
    let chunk = new PIXI.Container();
    let terrainLayer = new PIXI.Container();
    let vegetationLayer = new PIXI.Container();
    let buildingsLayer = new PIXI.Container();
    chunk.addChild(terrainLayer);
    chunk.addChild(vegetationLayer);
    chunk.addChild(buildingsLayer);
    return chunk;
}

/**
 * 
 * @param {String} type 
 */
export function terrainObjectProps(type) {
    this.type = type;
};

/**
 * 
 * @param {String} type 
 */
export function buildingObjectProps(type) {
    this.type = type;
};

/**
 * 
 * @param {String} type 
 * @param {Number} num 
 */
export function vegetationObjectProps(type, num) {
    this.type = type;
    this.num = num;
};

/**
 * 
 * @param {terrainObjectProps} obj 
 */
export function terrainObjectsVaultType(obj)
{
    
}

/**
 * 
 * @param {PIXI.Container} chunk 
 * @param {PIXI.Container} terrainLayer 
 * @param {PIXI.Container} vegetationLayer 
 * @param {PIXI.Container} buildingsLayer 
 * @param {terrainObjectsVaultType} terrainObjectsVault 
 * @param {vegetationObjectProps} vegetationObjectsVault 
 * @param {buildingObjectProps} buildingsObjectsVault 
 */
export function WorldChunk(chunk, terrainLayer, vegetationLayer, buildingsLayer, terrainObjectsVault, vegetationObjectsVault, buildingsObjectsVault) {
    this.chunk = chunk;
    this.terrainLayer = terrainLayer;
    this.vegetationLayer = vegetationLayer;
    this.buildingsLayer = buildingsLayer;
    this.terrainObjectsVault = terrainObjectsVault;
    this.vegetationObjectsVault = vegetationObjectsVault;
    this.buildingsObjectsVault = buildingsObjectsVault;
}
